Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class PolicyDB

    java.lang.Object
      |
      +--com.ibm.aglets.security.PolicyDB

public class PolicyDB
extends java.lang.Object

The `PolicyDB` class accesses Java policy database file and returns permissions for specified code source.

Version:
  1.00 $Date: 2001/07/28 06:33:11 $
Author:
  ONO Kouichi

Constructor Summary
`PolicyDB()`

Method Summary
`void` | `addGrant(PolicyGrant grant)`
`java.util.Enumeration` | `getGrants()`
`java.security.Permissions` | `getPermissions(java.security.CodeSource cs)` Gets permissions for indicated code source.
`java.security.Permissions` | `getPermissions(java.security.CodeSource cs, boolean convert)` Gets permissions for indicated code source.
`java.lang.String` | `toString()`
`java.util.Vector` | `toVector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyDB

    public PolicyDB()

Method Detail

### addGrant

    public void addGrant(PolicyGrant grant)

### getGrants

    public java.util.Enumeration getGrants()

### getPermissions

    public java.security.Permissions getPermissions(java.security.CodeSource cs)

  Gets permissions for indicated code source.
  Parameters:
    `cs` - code source
  Returns:
    permissions for indicated code source. null when the indicated code source has no permissions.

### getPermissions

    public java.security.Permissions getPermissions(java.security.CodeSource cs,
                                                    boolean convert)

  Gets permissions for indicated code source. When conversion of code source is required, converts "codebase" into current code source.
  Parameters:
    `cs` - code source
    `convert` - conversion of code source
  Returns:
    permissions for indicated code source. null when the indicated code source has no permissions.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toVector

    public java.util.Vector toVector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD